%define upstream_name    Future-IO
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for C<Future::IO> implementations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Future/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Future)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Struct::Dumb)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::ExpectAndCheck) >= 0.06
BuildRequires: perl(Test::Future::IO::Impl)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This package provides a few basic methods that behave similarly to the
same-named core perl functions relating to IO operations, but yield their
results asynchronously via the Future manpage instances.

This is provided primarily as a decoupling mechanism, to allow modules to
be written that perform IO in an asynchronous manner to depend directly on
this, while allowing asynchronous event systems to provide an
implementation of these operations.

Default Implementation
    If the 'override_impl' method is not invoked, a default implementation
    of these operations is provided. This implementation allows a single
    queue of 'sysread' or 'syswrite' calls on a single filehandle only,
    combined with 'sleep' calls. It is provided for the simple cases where
    modules only need one filehandle (most likely a single network socket
    or hardware device handle), allowing such modules to work without
    needing a better event system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 16 2024 daviddavid <daviddavid> 0.150.0-2.mga10
+ Revision: 2107274
- rebuild for new perl(Test::ExpectAndCheck)

* Sat Oct 28 2023 tv <tv> 0.150.0-1.mga10
+ Revision: 2002532
- update to 0.15

* Tue Aug 29 2023 tv <tv> 0.140.0-1.mga10
+ Revision: 1980971
- update to 0.14

* Mon Feb 20 2023 tv <tv> 0.130.0-1.mga9
+ Revision: 1944263
- update to 0.13

* Fri Feb 03 2023 tv <tv> 0.120.0-1.mga9
+ Revision: 1937843
- update to 0.12

* Wed Mar 23 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1821001
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 0.110.0-1.mga9
+ Revision: 1767714
- update to 0.11

* Tue Aug 31 2021 tv <tv> 0.100.0-1.mga9
+ Revision: 1743678
- update to 0.10

* Thu Aug 26 2021 tv <tv> 0.90.0-1.mga9
+ Revision: 1742586
- update to 0.09

* Sat Jan 02 2021 tv <tv> 0.80.0-1.mga8
+ Revision: 1668168
- update to 0.08

* Thu Mar 26 2020 tv <tv> 0.70.0-1.mga8
+ Revision: 1560699
- update to 0.07
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.60.0-1.mga8
+ Revision: 1416191
- imported package perl-Future-IO


* Sun Jun 30 2019 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
